Class ANNAWeaponPistol extends ANNAWeapon;

function int GetWeaponDamageSkill(int userLevel, optional actor target)
{
	if(userLevel == 0) //untrained (sp-only?)
		return 20;
	if(userLevel == 1) //trained
		return 30;
	if(userLevel == 2) //advanced
		return 34;
	if(userLevel == 3) //master
		return 40;
	if(userLevel == 4) //master + targ
		return 45;
}

simulated function float GetWeaponRecoilSkill(float userLevel)
{
	//these default values are just an EXAMPLE. Please override them!
	
	if(userLevel == 0) //untrained (sp-only?)
		return 0.4;
	if(userLevel == 1) //trained
		return 0.3;
	if(userLevel == 2) //advanced
		return 0;
	if(userLevel == 3) //master
		return 0;
	if(userLevel == 4) //master + targ
		return 0;
}

defaultproperties
{
	gunAccuracy=0
	bringUpTime=0.630
    ShotTime=0.600000
    ReloadCount=9
     LowAmmoWaterMark=6
     GoverningSkill=Class'DeusEx.SkillWeaponPistol'
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_Visual
     reloadTime=2.000000
     HitDamage=14
     maxRange=4800
     AccurateRange=2400
     BaseAccuracy=0.700000
     bCanHaveScope=True
     bCanHaveLaser=True
     recoilStrength=0.300000
     mpReloadTime=2.000000
     mpHitDamage=20
     mpBaseAccuracy=0.200000
     mpAccurateRange=1200
     mpMaxRange=1200
     mpReloadCount=9
     bCanHaveModBaseAccuracy=True
     bCanHaveModReloadCount=True
     bCanHaveModAccurateRange=True
     bCanHaveModReloadTime=True
     bCanHaveModRecoilStrength=True
     AmmoName=Class'DeusEx.Ammo10mm'
     PickupAmmoCount=6
     bInstantHit=True
     FireOffset=(X=-22.000000,Y=10.000000,Z=14.000000)
     shakemag=50.000000
     FireSound=Sound'DeusExSounds.Weapons.PistolFire'
     CockingSound=Sound'DeusExSounds.Weapons.PistolReload'
     SelectSound=Sound'DeusExSounds.Weapons.PistolSelect'
     ItemName="Pistol"
     PlayerViewOffset=(X=22.000000,Y=-10.000000,Z=-14.000000)
     PlayerViewMesh=LodMesh'DeusExItems.Glock'
     PickupViewMesh=LodMesh'DeusExItems.GlockPickup'
     ThirdPersonMesh=LodMesh'DeusExItems.Glock3rd'
     Icon=Texture'DeusExUI.Icons.BeltIconPistol'
     largeIcon=Texture'DeusExUI.Icons.LargeIconPistol'
     largeIconWidth=46
     largeIconHeight=28
     Description="A standard 10mm pistol."
     beltDescription="PISTOL"
     Mesh=LodMesh'DeusExItems.GlockPickup'
     CollisionRadius=7.000000
     CollisionHeight=1.000000
	 ProjectileClass=Class'DeusEx.Dart'
}