//=============================================================================
// Tracer.
//=============================================================================
class TracerClient extends DeusExProjectile;

var float visTime;

simulated function PreBeginPlay()
{
	visTime = Level.TimeSeconds + 0.01; //only appear to player after 10ms. 
										//Increasing offset of tracer spawn is easier, but creates visual problems
}

simulated function Tick(float deltaTime)
{
	if(DrawType == DT_None && Level.TimeSeconds >= visTime)
	{
		DrawType = DT_Mesh;
		SetCollision(true, false, false); //don't block your own tracers
	}
}

defaultproperties
{
	DrawType=DT_None
	bCollideActors=false
     AccurateRange=16000
     maxRange=16000
     bIgnoresNanoDefense=True
     speed=4000.000000
     MaxSpeed=4000.000000
     Mesh=LodMesh'DeusExItems.Tracer'
     ScaleGlow=2.000000
     bUnlit=True
}
