//=============================================================================
// Tracer.
//=============================================================================
class TracerServer extends DeusExProjectile;

var float visTime;

simulated function PreBeginPlay()
{
	//visTime = Level.TimeSeconds + 0.005; //only appear to player afters some ms. 
										//Increasing offset of tracer spawn is easier, but creates visual problems
}

simulated function Tick(float deltaTime)
{
	if(Role < ROLE_Authority)
	{								 //ANNAWep creates clientside tracers when firing, so we don't want owner to see serverside ones
		if(GetPlayerPawn() == Owner) //I can't get bOwnerNoSee to work...
			bHidden = true;
	}
	
	if(DrawType == DT_None && Level.TimeSeconds >= visTime)
	{
		DrawType = DT_Mesh;
		SetCollision(true, false, false); //don't block your own tracers
		
		if(rotation == default.rotation) //no idea why this would ever happen, but it does sometimes!! :D
		{
			bHidden = true;
			Destroy();
		}
	}
}

defaultproperties
{
	DrawType=DT_None
	bCollideActors=false
     AccurateRange=16000
     maxRange=16000
     bIgnoresNanoDefense=True
     speed=4000.000000
     MaxSpeed=4000.000000
     Mesh=LodMesh'DeusExItems.Tracer'
     ScaleGlow=2.000000
     bUnlit=True
}
